--- kviewshell/kviewpart.h.orig	Thu Mar 21 15:03:39 2002
+++ kviewshell/kviewpart.h	Thu Mar 21 15:04:37 2002
@@ -61,8 +61,8 @@
   // Since ISO C++ does not allow floating point constants <sigh>, we
   // use integers which need to be divided by 1000 before use. In this
   // case, this means minZoom = 0.01 and maxZoom = 10.
-  static const unsigned int minZoom = 10;
-  static const unsigned int maxZoom = 10000;
+  static const unsigned int minZoom;
+  static const unsigned int maxZoom;
 
   KViewPart(QString partname, QWidget *parentWidget, const char *widgetName, QObject *parent, const char *name);
   virtual ~KViewPart();
--- kviewshell/kviewpart.cpp.orig	Thu Mar 21 15:04:43 2002
+++ kviewshell/kviewpart.cpp	Thu Mar 21 15:05:07 2002
@@ -34,6 +34,8 @@
 #include "kpagetest.h"
 #include "kviewpart.moc"
 
+const unsigned int KViewPart::minZoom = 10;
+const unsigned int KViewPart::maxZoom = 10000;
 
 extern "C"
 {
--- kcoloredit/color.h.orig	Fri Apr  5 10:51:30 2002
+++ kcoloredit/color.h	Fri Apr  5 10:52:37 2002
@@ -28,10 +28,10 @@
 	public:
 		/** indices of components
 		 */
-		static const int RED_INDEX = 		0;
-		static const int GREEN_INDEX = 		1;
-		static const int BLUE_INDEX = 		2;
-		static const int COMPONENTS_NUM = 3;
+		enum { RED_INDEX = 0,
+		       GREEN_INDEX = 1,
+		       BLUE_INDEX = 2,
+		       COMPONENTS_NUM = 3 };
 	
 	public:
 		/** constructs a color
--- kcoloredit/kzcolorselector.h.orig	Fri Apr  5 10:52:59 2002
+++ kcoloredit/kzcolorselector.h	Fri Apr  5 11:02:11 2002
@@ -32,9 +32,9 @@
 	
 public:
 	/** Selector type constants */
-	static const int TYPE_H = 0;
-	static const int TYPE_S = 1;
-	static const int TYPE_V = 2;
+	enum { TYPE_H = 0,
+	       TYPE_S = 1,
+	       TYPE_V = 2 };
 
 	/** Constructs the widget */
 	KZColorSelector(Orientation o, QWidget *parent=0, const char *name=0);
@@ -55,7 +55,7 @@
 	 *  if number of color planes <= 8. The palette returned by
 	 *  getStandardColorsPalette() is of the size.
 	 */
-	static const int STANDARD_PALETTE_SIZE = 17;
+	enum { STANDARD_PALETTE_SIZE = 17 };
 	
 	/** A type of the selector */
 	int type;
--- kcoloredit/kxycolorselector.h.orig	Fri Apr  5 10:53:20 2002
+++ kcoloredit/kxycolorselector.h	Fri Apr  5 11:04:14 2002
@@ -31,17 +31,16 @@
 
 public:
 	/** The types of the selector. They specify a color component subset */
-	static const int TYPE_NONE = 0;
-	static const int TYPE_HS = 1;
-	static const int TYPE_VS = 2;
-	static const int TYPE_HV = 3;
-	static const int TYPE_RG = 4;
-	static const int TYPE_GB = 5;
-	static const int TYPE_BR = 6;
-	static const int TYPE_ = 7;
-	
+	enum { TYPE_NONE = 0,
+	       TYPE_HS = 1,
+	       TYPE_VS = 2,
+	       TYPE_HV = 3,
+	       TYPE_RG = 4,
+	       TYPE_GB = 5,
+	       TYPE_BR = 6,
+	       TYPE_ = 7,
 	/** Component selection resolution */
-	static const int COMPONENT_SELECTION_RESOLUTION = 10000;
+	       COMPONENT_SELECTION_RESOLUTION = 10000 };
 	
 public:
 	/** Constructs a two-dimensional color component selector widget,
@@ -63,7 +62,7 @@
 	 *  if number of color planes <= 8. The palette returned by
 	 *  getStandardColorsPalette() is of the size.
 	 */
-	static const int STANDARD_PALETTE_SIZE = 17;
+	enum { STANDARD_PALETTE_SIZE = 17 };
 	
 	/** A type of the selector */
 	int type;
--- kcoloredit/texteditselection.h.orig	Fri Apr  5 10:53:56 2002
+++ kcoloredit/texteditselection.h	Fri Apr  5 10:55:21 2002
@@ -67,14 +67,14 @@
 
 protected:
 	/** Indexes of components */
-	static const int H_INDEX = 0;
-	static const int S_INDEX = 1;
-	static const int V_INDEX = 2;
-	static const int R_INDEX = 3;
-	static const int G_INDEX = 4;
-	static const int B_INDEX = 5;
+	enum { H_INDEX = 0,
+	       S_INDEX = 1,
+	       V_INDEX = 2,
+	       R_INDEX = 3,
+	       G_INDEX = 4,
+	       B_INDEX = 5,
 	/** A total number of components */
-	static const int COMPONENTS_NUM = 6;
+	       COMPONENTS_NUM = 6 };
 	
 	/** Line edit widgets table */
 	QLineEdit* lineEditTable[COMPONENTS_NUM];
--- kcoloredit/gradientselection.h.orig	Fri Apr  5 10:56:49 2002
+++ kcoloredit/gradientselection.h	Fri Apr  5 10:57:37 2002
@@ -57,9 +57,9 @@
 	 *  the two components selector should be in a mode indicated by a value
 	 *  of the appropriate index
 	 */
-	static const int H_COMPONENT = KXYColorSelector::TYPE_VS;
-	static const int S_COMPONENT = KXYColorSelector::TYPE_HV;
-	static const int V_COMPONENT = KXYColorSelector::TYPE_HS;
+	enum { H_COMPONENT = KXYColorSelector::TYPE_VS,
+	       S_COMPONENT = KXYColorSelector::TYPE_HV,
+	       V_COMPONENT = KXYColorSelector::TYPE_HS };
 	
 	/** Variable global component checkbox */
 	QCheckBox* variableCheckBox;
--- kcoloredit/colorselector.h.orig	Fri Apr  5 10:58:01 2002
+++ kcoloredit/colorselector.h	Fri Apr  5 10:58:35 2002
@@ -63,10 +63,10 @@
 	
 private:
 	/** Color change mode constants */
-	static const int MODE_REPLACE = 0;
-	static const int MODE_CHANGE = 1;
+	enum { MODE_REPLACE = 0,
+	       MODE_CHANGE = 1,
 	/** Maximum color change value */
-	static const int MAX_COLOR_CHANGE_VALUE = 16;
+	       MAX_COLOR_CHANGE_VALUE = 16 };
 	
 	/** A color change slider widget */
 	QWidget* colorChangeSliderWidget;
--- kcoloredit/kcoloreditview.h.orig	Fri Apr  5 10:59:00 2002
+++ kcoloredit/kcoloreditview.h	Fri Apr  5 10:59:23 2002
@@ -88,8 +88,8 @@
 		
 	protected:
 		/** Add color mode constants */
-		static const int INSERT_COLOR = 0;
-		static const int REPLACE_COLOR = 1;
+		enum { INSERT_COLOR = 0,
+		       REPLACE_COLOR = 1 };
 		
 		/** Color mode widget */
 		QCheckBox* overwriteCheckBox;
--- kdvi/font.h.orig	Fri Apr  5 12:48:08 2002
+++ kdvi/font.h	Fri Apr  5 12:48:57 2002
@@ -49,7 +49,7 @@
   // this value here, make sure to go through all the source and
   // ensure that character numbers are stored in ints rather than
   // unsigned chars.
-  static const int      max_num_of_chars_in_font = 256;
+  static const int      max_num_of_chars_in_font;
   enum                  font_flags {
                              FONT_IN_USE  = 1,	// used for housekeeping
                              FONT_LOADED  = 2,	// if font file has been read
--- kdvi/font.cpp.orig	Fri Apr  5 12:48:11 2002
+++ kdvi/font.cpp	Fri Apr  5 12:48:42 2002
@@ -28,6 +28,8 @@
 #define	VF_ID_BYTE	202
 #define	VF_MAGIC	(VF_PRE << 8) + VF_ID_BYTE
 
+const int font::max_num_of_chars_in_font = 256;
+
 void font::fontNameReceiver(QString fname)
 {
   flags |= font::FONT_LOADED;
--- kfile-plugins/ps/dscparse_adapter.cpp.orig	Fri Apr  5 12:59:46 2002
+++ kfile-plugins/ps/dscparse_adapter.cpp	Fri Apr  5 13:32:52 2002
@@ -285,17 +285,17 @@
 auto_ptr<KDSCBBOX> KDSC::bbox() const
 {
     if( _cdsc->bbox == 0 )
-	return auto_ptr<KDSCBBOX>( 0 );
+	return *(new auto_ptr<KDSCBBOX>( 0 ));
     else
-	return auto_ptr<KDSCBBOX>( new KDSCBBOX( *_cdsc->bbox ) );
+	return *(new auto_ptr<KDSCBBOX>( new KDSCBBOX( *_cdsc->bbox ) ));
 }
 
 auto_ptr<KDSCBBOX> KDSC::page_bbox() const
 {
     if( _cdsc->page_bbox == 0 )
-	return auto_ptr<KDSCBBOX>( 0 );
+	return *(new auto_ptr<KDSCBBOX>( 0 ));
     else
-	return auto_ptr<KDSCBBOX>( new KDSCBBOX( *_cdsc->page_bbox ) );
+	return *(new auto_ptr<KDSCBBOX>( new KDSCBBOX( *_cdsc->page_bbox ) ));
 }
 
 QString KDSC::dsc_title() const
--- kiconedit/kiconedit.h.orig	Fri Apr  5 13:41:53 2002
+++ kiconedit/kiconedit.h	Fri Apr  5 13:42:01 2002
@@ -208,7 +208,7 @@
   QLabel *syslabel, *customlabel;
   QLabel *preview;
   KSysColors *syscolors;
-  KCustomColors *customcolors;;
+  KCustomColors *customcolors;
 
   KMenuBar *menubar;
   KToolBar *toolbar, *drawtoolbar, *palettetoolbar;
--- kghostview/dscparse_adapter.cpp.orig	Fri Apr  5 13:38:10 2002
+++ kghostview/dscparse_adapter.cpp	Fri Apr  5 13:39:36 2002
@@ -285,17 +285,17 @@
 auto_ptr<KDSCBBOX> KDSC::bbox() const
 {
     if( _cdsc->bbox == 0 )
-	return auto_ptr<KDSCBBOX>( 0 );
+	return *(new auto_ptr<KDSCBBOX>( 0 ));
     else
-	return auto_ptr<KDSCBBOX>( new KDSCBBOX( *_cdsc->bbox ) );
+	return *(new auto_ptr<KDSCBBOX>( new KDSCBBOX( *_cdsc->bbox ) ));
 }
 
 auto_ptr<KDSCBBOX> KDSC::page_bbox() const
 {
     if( _cdsc->page_bbox == 0 )
-	return auto_ptr<KDSCBBOX>( 0 );
+	return *(new auto_ptr<KDSCBBOX>( 0 ));
     else
-	return auto_ptr<KDSCBBOX>( new KDSCBBOX( *_cdsc->page_bbox ) );
+	return *(new auto_ptr<KDSCBBOX>( new KDSCBBOX( *_cdsc->page_bbox ) ));
 }
 
 QString KDSC::dsc_title() const
--- kuickshow/src/imlibwidget.h.orig	Wed Apr 24 14:13:22 2002
+++ kuickshow/src/imlibwidget.h	Wed Apr 24 14:14:33 2002
@@ -201,7 +201,7 @@
 
   QString m_filename;
 
-  static const int ImlibOffset = 256;
+  static const int ImlibOffset;
 
 
 private:
--- kuickshow/src/imlibwidget.cpp.orig	Wed Apr 24 14:14:40 2002
+++ kuickshow/src/imlibwidget.cpp	Wed Apr 24 14:15:02 2002
@@ -27,6 +27,7 @@
 
 #include "imlibwidget.h"
 
+const int ImlibWidget::ImlibOffset = 256;
 
 ImlibWidget::ImlibWidget( ImData *_idata, QWidget *parent, const char *name ) :
   QWidget( parent, name, WDestructiveClose )
